cmpress(1)

NAME
cmpress - prepare a covariance model database for cmscan

SYNOPSIS
cmpress [options] <cmfile>

DESCRIPTION

Starting from a CM database <cmfile> in standard Infernal-1.1 format, construct binary compressed datafiles for cmscan. The cmpress step is required for cmscan to work.

The <cmfile> must be have already been calibrated with cmcalibrate for cmpress to work.

Four files are created: <cmfile>.i1m, <cmfile>.i1i, <cmfile>.i1f, and <cmfile>.i1p. The <cmfile>.i1m file contains the covariance models, associated filter p7 profile HMMs and their annotation in a binary format. The <cmfile>.i1i file is an SSI index for the <cmfile>.i1m file. The <cmfile>.i1f file contains precomputed data structures for the fast heuristic filter (the SSV filter) for the filter p7 profile HMMs in <cmfile>. The <cmfile>.i1p file contains precomputed data structures for the rest of each profile filter p7 HMM.

<cmfile> may not be '-' (dash); running cmpress on a standard input stream rather than a file is not allowed.

OPTIONS

-h  Help; print a brief reminder of command line usage and all available options.

-F  Force; overwrites any previous cmpress'ed datafiles. The default is to bitch about any existing files and ask you to delete them first.

SEE ALSO
See infernal(1) for a master man page with a list of all the individual man pages for programs in the Infernal package.

For complete documentation, see the user guide that came with your Infernal distribution (Userguide.pdf); or see the Infernal web page ().

COPYRIGHT
Copyright (C) 2019 Howard Hughes Medical Institute.
Freely distributed under the BSD open source license.
For additional information on copyright and licensing, see the file called COPYRIGHT in your Infernal source distribution, or see the Infernal web page ().

AUTHOR
The Eddy/Rivas Laboratory
Janelia Farm Research Campus
19700 Helix Drive
Ashburn VA 20147 USA
http://eddylab.org